apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
spec:
  selector:
    matchLabels:
      app: frontend
  replicas: 3
  template:
    metadata:
      labels:
        app: frontend
    spec:
      imagePullSecrets:
      - name: my-image-imagePullSecrets
      containers:
      - name: frontend
        # image: registry.gitlab.com/fineshift/users/akshay/test-project/microservice/frontend:1.8
        image: nginx:latest
        
        ports: 
        - containerPort: 3000
---
apiVersion: v1
kind: Service
metadata:
  name: frontend
spec:
  selector:
    app: frontend
  ports:
    - protocol: TCP
      port: 3000
      targetPort: 3000
  type: NodePort

